package com.tofly.watermeter.em;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author FlashWJL
 * @date 2021/12/1 14:34
 */
@Getter
@AllArgsConstructor
public enum AbnormalEnum {
    SLTSMX("14","水量突升模型","水量突升/降比列模型",992L , 965L),
    SLTJMX("1","水量突降模型","水量突升/降比列模型",975L , 965L),
    TBSMX("2","同比升模型","同比升/降比例模型",976L , 966L),
    TBJMX("3","同比降模型","同比升/降比例模型",977L , 966L),
    HBSMX("4","环比升模型","环比升/降比例模型",978L , 967L),
    HBJMX("5","环比降模型","环比升/降比例模型",979L , 967L),
    LSLMX("6","0水量模型","0水量模型",980L , 968L),
    HBMX("7","换表模型","换表模型",981L , 969L),
    GSMX("8","估水模型","估水模型",982L , 970L),
    SLWFBDMX("9","水量微幅波动模型","水量微幅波动模型",983L , 971L),
    SLLXSSMX("10","水量连续上升模型","水量连续升/降模型",984L , 972L),
    SLLXXJMX("11","水量连续下降模型","水量连续升/降模型",985L , 972L),
    SCSLMX("12","首次水量模型","首次查抄水量模型",986L , 973L),
    LXSLXTMX("13","连续水量相同模型","连续水量相同模型",987L , 974L),
    ;



    @ApiModelProperty(value = "异常算法类型code，1：水量突降数据2：同比升数据3：同比降数据4：环比升数据5：环比降数据6:0水量模型7：换表数据8：估水数据9：水量微幅波动数据10：水量连续上升数据11：水量连续下降数据12：首次水量数据13：连续水量向相同数据14：水量突升数据")
    private String typeCode;
    @ApiModelProperty(value = "异常算法类型名称")
    private String typeState;
    @ApiModelProperty(value = "模型名称")
    private String modelName;
    @ApiModelProperty(value = "异常算法类型ID")
    private Long typeId;
    @ApiModelProperty(value = "异常模型大类ID")
    private Long bigTypeId;

}
